Wesnoth 1.9.10 a.k.a. 1.10-beta1

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderators: Forum Moderators, Developers

User avatar
ivanovic
Lord of Translations
Posts: 1146
Joined: September 28th, 2004, 10:10 pm
Location: Germany

Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by ivanovic » November 8th, 2011, 9:49 pm

This is another release of the 1.9.x development branch. As with normal development releases, it may include many more bugs than stable releases from the 1.8.x series — additionally, 1.8 content is not compatible with 1.9.x due to the many changes in the game engine and WML syntax between both branches. Don't be disappointed if the game crashes every now and then — "normal" players (those who want a stable gaming experience) should not use this release, and stick to the stable branch instead. However, if you want to test the future of Wesnoth and help us find bugs early, you are welcome to check out this release. We require your help for finding and fixing issues. If you find a bug, please do not assume that it is so obvious that we already know about it. Report it and make sure that we are aware of it.

Ups, wrong (copy&paste can be bad! :wink: )!

This is the first beta for the upcoming 1.10 series. We do encourage every player to test this release and report all bugs they find so that we can still fix them before we release 1.10. Beside this content creators should start porting their work to the soon to come 1.10 series. Since we are also starting the feature freeze with this release, WML should be rather stable. The add-on server that is currently used for 1.9.x is likely to eventually become the 1.10 add-on server, so please upload your (updated!) content. Translators should also start working on the respective translations since the string freeze was started yesterday, too.

Sadly the Khalifate were not good and stable enough yet and require many more balancing efforts. Because of this we decided to remove them again from mainline and have them available only as add-on for the time being. This way development and balancing of this faction can continue without disturbing the stabilization of the rest. Beside this change many bugs were fixed, so it might be well worth your time to test this beta if you encountered any problems with 1.9.9.

So far there are no known issues (besides the stuff listed in the bug tracker). So let's directly head over to the most important features of this new release (at least the most important things that the other devs do want you to know about :wink: ).

Important changes and new features
AMLA Requirements
The AMLA requirements have changed from 150 XP for all units to 50 times the unit's level (25 for level 0 units).
Removal of the 'Khalifate'
The Khalifate were a new race/faction added as part of a multiplayer era during the 1.9 development process. The original plan was to have them stabilized before 1.10, but further balancing and string changes are required which will not be ready in time for the planned 1.10. Because of this the development of this faction will continue as an addon which is hopefully merge into trunk shortly after the release of 1.10 (and will be part of the 1.12 series).
Start of the feature and string freeze
Okay, not a change per se, but important anyway. This release marks the start of the stabilization time for the upcoming 1.10 series. The meaning of this is that from now on we want to try to concentrate on fixing bugs so that 1.10 will be a really stable release. Because of this we do plan to not add any new features in the next 1.9.x releases and also try to keep the "interface" for UMC creators intact. So what does this mean?
  • No new features planned for the next 1.9.x releases, just bug fixes.
  • No (larger) changes in the available macros and WML commands possible. => UMC devs can/should start porting their addons so that they are done in time for 1.10.
  • No (larger) string changes/additions planned. => translators can/should start working on the strings so that the translations are as complete as possible by the time 1.10 is released.
Known Issues (might be fixed in the next release(s))

There are no known issues at the moment.

Downloads

Source code:
http://sourceforge.net/projects/wesnoth ... 2/download (324.7 MB) md5sum
Here is the XDelta for the sources:
http://sourceforge.net/projects/wesnoth ... a/download (1.9.9 to 1.9.10, 4.6 MB)
Check http://forums.wesnoth.org/viewtopic.php?t=7034 for information on using XDelta.

The Windows package is already available. You can find it on the download page.

The MacOSX package is already available. You can find it on the download page.

The OpenPandora package is already available. You can find it on the download page.

Many of the Linux packages have already been created, and all known packagers have been contacted. Information about where to get the respective binaries or how to get them to work can be found in the Linux binaries page in the wiki. Download links for other supported systems will be available at the downloads page once the packages are created and published.

As a fallback you can also get the sources from http://files.wesnoth.org/ — but you should first try to get files through SourceForge.net to help us save bandwidth. Please get the files from SourceForge.net if possible.

The multiplayer server for 1.9.10 is up and running. This server can be only be used to play with other 1.9.10 (and hopefully later!) users. If you do encounter problems, please report them.

A new add-ons server for 1.9.x is already running. It was started during the development of 1.9.0. If you encounter any problems with content from the add-ons server not working as expected, please notify the content's author — most of them should be here in the Scenario & Campaign Development forum.

If you find any bugs don't hesitate to report them, but please read the instructions on how to post bugs first! Instructions for bug reporting can be found at ReportingBugs. Again, we require your help for finding and fixing issues, no matter how trivial or complicated they are!

Enjoy!

PS: Within the next seven days anyone asking when the binary for xyz will be ready will be banned and the post will be deleted. Such questions just distract the developers and packagers and don't do any good, so better not ask them...

Bug reports in the forums tend to get forgotten. You will get better results by following the guidelines and report them in the bugtracker.

User avatar
UnwiseOwl
Posts: 472
Joined: April 9th, 2010, 4:58 am

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by UnwiseOwl » November 8th, 2011, 10:46 pm

Perhaps it's just that there's a mass of people grabbing it right now, but when I tried to download the mac version this morning it was unavailable.
Maintainer of the Imperial Era and the campaigns Dreams of Urduk, Epic of Vaniyera, Up from Slavery, Fall of Silvium, Alfhelm the Wise and Gali's Contract.
But perhaps 'maintainer' is too strong a word.

shadowblack
Posts: 368
Joined: April 15th, 2010, 3:03 pm

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by shadowblack » November 8th, 2011, 10:46 pm

Trying to view either of the changelogs linked from the main page results in an error:
An Exception Has Occurred

Checkout view is disabled
HTTP Response Status

403 Forbidden
You are a Dark Adept: You immerse yourself in the dark arts... potentially with great rewards...

User avatar
shadowm
Site Administrator
Posts: 6575
Joined: November 14th, 2006, 5:54 pm
Location: Chile
Contact:

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by shadowm » November 9th, 2011, 12:18 am

Yeah, there was a small problem at Gna.org regarding that, following a software upgrade. It should be working now.
Author of the unofficial UtBS sequels Invasion from the Unknown and After the Storm.

User avatar
tr0ll
Posts: 522
Joined: June 11th, 2006, 8:13 pm
Location: canada

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by tr0ll » November 9th, 2011, 12:28 am

The announcement contains several references to getting things done in time for planned release of 1.10 - when would that be?

User avatar
Simons Mith
Posts: 784
Joined: January 27th, 2005, 10:46 pm
Location: Twickenham
Contact:

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by Simons Mith » November 9th, 2011, 12:37 am

@Unwise, Yes, the Mac download link is currently broken. If you click in the Wesnoth directory on the SourceForge page you get when the download fails, the file is there, but it's named Wesnoth 1.9... with a capital W and a space in the filename.
 

MeSSiaH
Posts: 4
Joined: June 17th, 2011, 10:13 pm
Location: Edmonton, Alberta, Canada
Contact:

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by MeSSiaH » November 9th, 2011, 2:24 am

Well guys I've problem. I just installed new 1.9.10 version and this what appeared on my display. I reinstalled the game but nothing changed. Do you have any ideas what the HECK is wrong with my beloved game?!?!

Image

User avatar
averyimaginativename
Posts: 245
Joined: August 21st, 2010, 12:40 pm
Location: /dev/null

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by averyimaginativename » November 9th, 2011, 2:31 am

MeSSiaH wrote:Well guys I've problem. I just installed new 1.9.10 version and this what appeared on my display. I reinstalled the game but nothing changed. Do you have any ideas what the HECK is wrong with my beloved game?!?!

Image
Would have thought this would have been fixed by now, but see this:
(In a "this might be something else" kind of way, not a "those lazy devs" kind of way.)

http://forums.wesnoth.org/viewtopic.php?f=4&t=34508

(in short, reboot your machine)
UMC Story Images web gallery

On an indefinite Wesbreak for health reasons - please only try to get my attention for UMC story images website issues.

MeSSiaH
Posts: 4
Joined: June 17th, 2011, 10:13 pm
Location: Edmonton, Alberta, Canada
Contact:

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by MeSSiaH » November 9th, 2011, 3:03 am

Thank you very much averyimaginativename. Restart solved the problem!

User avatar
shadowm
Site Administrator
Posts: 6575
Joined: November 14th, 2006, 5:54 pm
Location: Chile
Contact:

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by shadowm » November 9th, 2011, 3:39 am

tr0ll wrote:The announcement contains several references to getting things done in time for planned release of 1.10 - when would that be?
IIRWIIR. There is a tentative date of “sometime around Christmas”, but the last time this was done (1.8, tentatively Christmas 2009), the release occurred about four months later.
Author of the unofficial UtBS sequels Invasion from the Unknown and After the Storm.

mistzone
Translator
Posts: 20
Joined: October 11th, 2010, 5:27 am

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by mistzone » November 9th, 2011, 6:01 am

Congratulation!

And Thanks :D Finally 1.10 is coming to me :lol2:

User avatar
ivanovic
Lord of Translations
Posts: 1146
Joined: September 28th, 2004, 10:10 pm
Location: Germany

Re: Wesnoth 1.9.10 aka 1.10-beta1

Post by ivanovic » November 9th, 2011, 8:32 am

Simons Mith wrote:@Unwise, Yes, the Mac download link is currently broken. If you click in the Wesnoth directory on the SourceForge page you get when the download fails, the file is there, but it's named Wesnoth 1.9... with a capital W and a space in the filename.
Ah, right, fixed this by moving the file at sf.net since spaces suck, the rest is just as usual. Thanks for the pointer.

User avatar
Dunno
Posts: 773
Joined: January 17th, 2010, 4:06 pm
Location: Behind you

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by Dunno » November 9th, 2011, 7:51 pm

I have a question: is 1.8 official multiplayer server considered outdated now? The only reason I still stick to 1.8 is the multiplayer and I'm not sure what does "a.k.a 1.10b1" mean for servers. Thanks!
Oh, I'm sorry, did I break your concentration?

User avatar
UnwiseOwl
Posts: 472
Joined: April 9th, 2010, 4:58 am

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by UnwiseOwl » November 9th, 2011, 11:54 pm

Given that there were...three of us on the 1.9.10 multiplayer server last night, I'm going to assume that the 1.8 server is still where most of the action is going to keep happening.
Maintainer of the Imperial Era and the campaigns Dreams of Urduk, Epic of Vaniyera, Up from Slavery, Fall of Silvium, Alfhelm the Wise and Gali's Contract.
But perhaps 'maintainer' is too strong a word.

uncleshelby
Posts: 427
Joined: May 10th, 2011, 7:20 pm

Re: Wesnoth 1.9.10 a.k.a. 1.10-beta1

Post by uncleshelby » November 9th, 2011, 11:58 pm

@Unwise Owl: Yes. 1.8 is still the most used version, because it's stable. So once 1.9 turns into a stable version of 1.10, that will (probably slowly) become the more used version.
Timshel

Post Reply